Subject: Re: [bug#57788] [PATCH] gnu: rust: Disable debug info to reduce build requirements

From: Efraim Flashner <[email-masked]>
Date: Sun, 9 Oct 2022 15:38:40 +0300

On Fri, Oct 07, 2022 at 01:36:08PM +0300, Efraim Flashner wrote:
> On Tue, Sep 13, 2022 at 07:56:46PM -0400, Mark H Weaver wrote:
> 
> > Moreover, with this patch the builds are dramatically faster than I've
> > previously observed.  In my earlier bootstraps of Rust (up to
> > rust-1.51), it took about 5 hours to build each compiler on my machine.
> > Now it takes only about 2 hours per compiler, except for the initial
> > bootstrap (1.54) which takes about 4 hours.
> 
> I tested it out on my machine, it brought the build time down from 101
> minutes to 71 minutes. Not the same improvement, but still noticeable.

To follow up, it brought the time to build rust-bootstrap aka 1.54, on
riscv64-linux down from ~56 hours to 13 hours.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted